<template>
  <el-config-provider :locale="zhCn">
    <el-container class="common-layout">
      <el-header height="60px">
        <Header @selectMenu="handMenu" />
      </el-header>
      <el-container>
        <el-aside width="240px">
          <TreeMenu :menuItem="menuItem" />
        </el-aside>
        <el-main>
          <RouterView />
        </el-main>
      </el-container>
    </el-container>
  </el-config-provider>
</template>

<script setup lang="ts">
import Header from "@/layout/Header.vue";
import TreeMenu from "@/components/TreeMenu.vue";
import { ElConfigProvider } from "element-plus";
import zhCn from "element-plus/es/locale/lang/zh-cn";
import { ref } from "vue";
const menuItem = ref("/");
const handMenu = (key: string) => {
  menuItem.value = key;
};
</script>

<style lang="less" scoped></style>
